# SaveStateRequest (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class SaveStateRequest

- java.lang.Object
- - io.dapr.client.domain.SaveStateRequest

    public class SaveStateRequest
    extends Object

A request to save states to state store.

### Constructor Summary

Constructors
`SaveStateRequest​(String storeName)` Constructor for SaveStateRequest.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<State<?>>` `getStates()`
`String` `getStoreName()`
`SaveStateRequest` `setStates​(State<?>... states)`
`SaveStateRequest` `setStates​(List<State<?>> states)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SaveStateRequest

    public SaveStateRequest​(String storeName)

Constructor for SaveStateRequest.

Parameters:
  `storeName` - Name of the state store

### Method Detail

#### getStoreName

    public String getStoreName()

#### getStates

    public List<State<?>> getStates()

#### setStates

    public SaveStateRequest setStates​(List<State<?>> states)

#### setStates

    public SaveStateRequest setStates​(State<?>... states)